### Hierarchy

- unknown
  - XmrOutgoingTransfer

## Index

### Constructors

- constructor

### Methods

- addDestinations
- addSubaddressIndices
- clearDestinationsList
- clearSubaddressIndicesList
- getAccountIndex
- getAmount
- getDestinationsList
- getSubaddressIndicesList
- serializeBinary
- setAccountIndex
- setAmount
- setDestinationsList
- setSubaddressIndicesList
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new XmrOutgoingTransfer(): XmrOutgoingTransfer

- Inherited from jspb.Message.constructor

  #### Returns XmrOutgoingTransfer

## Methods

### addDestinations

- addDestinations(value?: XmrDestination, index?: number): XmrDestination

- - Defined in src/protobuf/grpc_pb.d.ts:3220

  #### Parameters

  - ##### Optional value: XmrDestination

  - ##### Optional index: number

  #### Returns XmrDestination

### addSubaddressIndices

- addSubaddressIndices(value: number, index?: number): XmrOutgoingTransfer

- - Defined in src/protobuf/grpc_pb.d.ts:3215

  #### Parameters

  - ##### value: number

  - ##### Optional index: number

  #### Returns XmrOutgoingTransfer

### clearDestinationsList

- clearDestinationsList(): XmrOutgoingTransfer

- - Defined in src/protobuf/grpc_pb.d.ts:3219

  #### Returns XmrOutgoingTransfer

### clearSubaddressIndicesList

- clearSubaddressIndicesList(): XmrOutgoingTransfer

- - Defined in src/protobuf/grpc_pb.d.ts:3214

  #### Returns XmrOutgoingTransfer

### getAccountIndex

- getAccountIndex(): number

- - Defined in src/protobuf/grpc_pb.d.ts:3209

  #### Returns number

### getAmount

- getAmount(): string

- - Defined in src/protobuf/grpc_pb.d.ts:3206

  #### Returns string

### getDestinationsList

- getDestinationsList(): XmrDestination []

- - Defined in src/protobuf/grpc_pb.d.ts:3217

  #### Returns XmrDestination []

### getSubaddressIndicesList

- getSubaddressIndicesList(): number[]

- - Defined in src/protobuf/grpc_pb.d.ts:3212

  #### Returns number[]

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/grpc_pb.d.ts:3222

  #### Returns Uint8Array

### setAccountIndex

- setAccountIndex(value: number): XmrOutgoingTransfer

- - Defined in src/protobuf/grpc_pb.d.ts:3210

  #### Parameters

  - ##### value: number

  #### Returns XmrOutgoingTransfer

### setAmount

- setAmount(value: string): XmrOutgoingTransfer

- - Defined in src/protobuf/grpc_pb.d.ts:3207

  #### Parameters

  - ##### value: string

  #### Returns XmrOutgoingTransfer

### setDestinationsList

- setDestinationsList(value: XmrDestination []): XmrOutgoingTransfer

- - Defined in src/protobuf/grpc_pb.d.ts:3218

  #### Parameters

  - ##### value: XmrDestination []

  #### Returns XmrOutgoingTransfer

### setSubaddressIndicesList

- setSubaddressIndicesList(value: number[]): XmrOutgoingTransfer

- - Defined in src/protobuf/grpc_pb.d.ts:3213

  #### Parameters

  - ##### value: number[]

  #### Returns XmrOutgoingTransfer

### toObject

- toObject(includeInstance?: boolean): XmrOutgoingTransfer . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:3223

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns XmrOutgoingTransfer . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): XmrOutgoingTransfer

- - Defined in src/protobuf/grpc_pb.d.ts:3226

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns XmrOutgoingTransfer

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: XmrOutgoingTransfer, reader: BinaryReader): XmrOutgoingTransfer

- - Defined in src/protobuf/grpc_pb.d.ts:3227

  #### Parameters

  - ##### message: XmrOutgoingTransfer

  - ##### reader: BinaryReader

  #### Returns XmrOutgoingTransfer

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: XmrOutgoingTransfer, writer: BinaryWriter): void

- - Defined in src/protobuf/grpc_pb.d.ts:3225

  #### Parameters

  - ##### message: XmrOutgoingTransfer

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: XmrOutgoingTransfer ): XmrOutgoingTransfer . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:3224

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: XmrOutgoingTransfer

  #### Returns XmrOutgoingTransfer . AsObject

Generated using TypeDoc